Page 1 of 1

TurboTax 2014 Does Not Install Into 10.6.8

Posted: Tue Jan 06, 2015 11:58 am
by bluesky
OS X 10.6.8 Snow Leopard is starting to become more obsolete now.

If you are still running 10.6.8 Snow Leopard and use TurboTax you will find the new 2014 TurboTax will not install into 10.6.8, and requires 10.7 Lion or newer.

The only upgrade available through Apple now is 10.10.1 Yosemite. It is a big change from what you are using, so be prepared for a learning curve. Be aware that you have missed four operating systems, and missed the gradual introduction of changes that have occurred with each.

Apple has recently adopted a yearly OS upgrade cycle. So, if you stay in an old OS too long, you'll get left in the dust. Eventually the newer software you want won't install, and eventually (a few years after that) your hardware won't run the latest OS X they come out with.

Welcome to the modern technology tread mill!

Re: TurboTax 2014 Does Not Install Into 10.6.8

Posted: Tue Jan 06, 2015 12:54 pm
by bluesky
If you are stuck in 10.6.8, you can also do your taxes with TurboTax Online instead.
http://tinyurl.com/kk8dubx